%global pkgvers 0
%global scdate0 20230823
%global schash0 6f4a51802f5f302577d6d270a9fc0cb7a1ee28ef
%global branch0 master
%global source0 https://github.com/f4exb/cm256cc.git

%global sshort0 %{expand:%%{lua:print(('%{schash0}'):sub(1,8))}}

Name:           libcm256cc
Version:        1.1.0
Release:        %{scdate0}.%{pkgvers}.git%{sshort0}%{?dist}
Summary:        Fast GF(256) Cauchy MDS Block Erasure Codec in C++
License:        GPLv3

URL:            https://github.com/f4exb/cm256cc

BuildRequires:  git gcc-c++ cmake

%description
Fast GF(256) Cauchy MDS Block Erasure Codec in C++.

%package        devel
Summary:        Development files for Halide
Requires:       %{name} = %{version}-%{release}

%description    devel
This package contains development files for %{name}.


%prep
%setup -T -c -n %{name}
find %{_builddir} -name SPECPARTS -exec rm -rf {} +
git clone --depth 1 -n -b %{branch0} %{source0} .
git fetch --depth 1 origin %{schash0}
git reset --hard %{schash0}
git log --format=fuller


%build
%cmake -Wno-dev \
       -DCMAKE_SKIP_RPATH=ON \
       -DCMAKE_VERBOSE_MAKEFILE=OFF \
       -DCMAKE_BUILD_TYPE=RelWithDebInfo \
       -DHAS_AVX=ON \
       -DHAS_AVX2=ON \
       -DHAS_AVX512=ON \
       -DHAS_SSE2=ON \
       -DHAS_SSE4_1=ON \
       -DHAS_SSE4_2=ON \
       -DHAS_SSSE3=ON
%cmake_build


%install
%cmake_install


%files
%doc README.md
%license LICENSE
%{_bindir}/*
%{_libdir}/*.so.*
%{_libdir}/pkgconfig/*.pc

%files devel
%{_libdir}/*.so
%{_includedir}/*


%changelog
* Sun Apr 24 2022 Cristian Balint <cristian.balint@gmail.com>
- github update releases
